GenerateProjectFileTask.ProjectSpec (Gradle API 8.11.1)

Package org.gradle.ide.visualstudio.tasks

## Class GenerateProjectFileTask.ProjectSpec

- java.lang.Object
- - org.gradle.ide.visualstudio.tasks.GenerateProjectFileTask.ProjectSpec

- Enclosing class:
    GenerateProjectFileTask

      @Incubating
      protected static class GenerateProjectFileTask.ProjectSpec
      extends java.lang.Object

  The data to use to generate the project file.
  Since:
    8.11

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile.ConfigurationSpec>` | `getConfigurations()` | Configurations to include in the project.
    `java.lang.String` | `getGradleCommand()` | Command to use to run Gradle from the project.
    `Provider<java.util.Set<java.lang.String>>` | `getHeaderFilesPaths()` | The header files for this project.
    `java.util.Set<java.lang.String>` | `getResourceFilePaths()` | The resource files for this project.
    `Provider<java.lang.String>` | `getSdkVersion()` | The SDK version for this project.
    `Provider<java.util.Set<java.lang.String>>` | `getSourceFilePaths()` | The source files for this project.
    `Provider<java.lang.String>` | `getVisualStudioVersion()` | The VS version for this project.
    `java.lang.String` | `getWarning()` | Warning to report to users after generating the project file.
    `java.util.List<Action<? super XmlProvider>>` | `getXmlActions()` | Additional XML generation actions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getVisualStudioVersion

          @Input
          @Incubating
          public Provider<java.lang.String> getVisualStudioVersion()

      The VS version for this project.
      Since:
        8.11

    - #### getSdkVersion

          @Input
          @Incubating
          public Provider<java.lang.String> getSdkVersion()

      The SDK version for this project.
      Since:
        8.11

    - #### getSourceFilePaths

          @Input
          @Incubating
          public Provider<java.util.Set<java.lang.String>> getSourceFilePaths()

      The source files for this project.
      Since:
        8.11

    - #### getResourceFilePaths

          @Input
          @Incubating
          public java.util.Set<java.lang.String> getResourceFilePaths()

      The resource files for this project.
      Since:
        8.11

    - #### getHeaderFilesPaths

          @Input
          @Incubating
          public Provider<java.util.Set<java.lang.String>> getHeaderFilesPaths()

      The header files for this project.
      Since:
        8.11

    - #### getGradleCommand

          @Input
          @Incubating
          public java.lang.String getGradleCommand()

      Command to use to run Gradle from the project.
      Since:
        8.11

    - #### getWarning

          @Input
          @Optional
          @Incubating
          public java.lang.String getWarning()

      Warning to report to users after generating the project file.
      Since:
        8.11

    - #### getConfigurations

          @Incubating
          public java.util.List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile.ConfigurationSpec> getConfigurations()

      Configurations to include in the project.
      Since:
        8.11

    - #### getXmlActions

          @Incubating
          public java.util.List<Action<? super XmlProvider>> getXmlActions()

      Additional XML generation actions.
      Since:
        8.11